package com.tzld.piaoquan.content.understanding.common.enums;

import lombok.Getter;

/**
 * 内容类型
 * @author supeng
 */
@Getter
public enum ContentTypeEnum {

    TITLE(0, "标题"),
    COVER(1, "封面"),
    VIDEO(2, "视频"),
    INTRODUCTION(3, "简介"),
    AUDIO(4, "音频"),
    SRT(5, "字幕"),
    VTT(6, "字幕");

    private final Integer value;
    private final String desc;

    ContentTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public static ContentTypeEnum getByValue(Integer value) {
        for (ContentTypeEnum contentTypeEnum : ContentTypeEnum.values()) {
            if (contentTypeEnum.getValue().equals(value)) {
                return contentTypeEnum;
            }
        }
        return null;
    }

    public static boolean containsValue(Integer value) {
        for (ContentTypeEnum contentTypeEnum : ContentTypeEnum.values()) {
            if (contentTypeEnum.getValue().equals(value)) {
                return true;
            }
        }
        return false;
    }

}
