package com.tzld.piaoquan.content.understanding.common.enums;

public enum VideoStatusEnum {

	    INVALID(0,"无效状态"),
	    NORMAL(1,"有效(公开)"),
	    DELETED(2,"已删除"),
	   	FORBIDDEN(3,"已屏蔽（不可见）"),
	   	FOLLOWED(4,"关注可见（可见）"),
	   	SHARED(5,"分享可见（私密）"),
	   	MYSELF(6,"自己可见");
	   	
	   	private Integer code;
	   	private String desc;
		public Integer getCode() {
			return code;
		}
		public void setCode(Integer code) {
			this.code = code;
		}
		public String getDesc() {
			return desc;
		}
		public void setDesc(String desc) {
			this.desc = desc;
		}
		private VideoStatusEnum(Integer code, String desc) {
			this.code = code;
			this.desc = desc;
		}
		
		 public static boolean videoIsCanOperation( Integer status ) {
	  		 if(NORMAL.getCode().equals(status)||
	  			  FOLLOWED.getCode().equals(status)|| 
	  			  SHARED.getCode().equals(status)||
					 MYSELF.getCode().equals(status)) {
	  			 return true;
	  		 }
	  		 return false;
	  	 }
		 
		 public static boolean videoCanNotOperation( Integer status ) {
	  		 if(INVALID.getCode().equals(status)||
	  				DELETED.getCode().equals(status)|| 
	  				FORBIDDEN.getCode().equals(status)) {
	  			 return true;
	  		 }
	  		 return false;
	  	 }

	public static VideoStatusEnum valueOf(Integer code, VideoStatusEnum defaultValue) {
		if (code == null) {
			return defaultValue;
		}
		for (VideoStatusEnum oneEnum : VideoStatusEnum.values()) {
			if (oneEnum.getCode().intValue() == code.intValue()) {
				return oneEnum;
			}
		}
		return defaultValue;
	}
}
