package com.tzld.piaoquan.content.understanding.job;

import com.tzld.piaoquan.content.understanding.service.ContentService;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.core.log.XxlJobLogger;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 视频理解任务
 *
 * @author supeng
 */
@Slf4j
@Component
public class VideoContentUnderstandingJob {

    @Autowired
    private ContentService contentService;

    @XxlJob("newRecommendVideoUnderstandingHandler")
    public ReturnT<String> newRecommendVideoUnderstandingHandler(String params) {
        XxlJobLogger.log("newRecommendVideoUnderstandingHandler start");
        try {
            contentService.newRecommendVideoUnderstandingHandler();
        } catch (Exception e) {
            XxlJobLogger.log("newRecommendVideoUnderstandingHandler error", e);
            return ReturnT.FAIL;
        } finally {
            XxlJobLogger.log("newRecommendVideoUnderstandingHandler end");
        }
        return ReturnT.SUCCESS;
    }

    @XxlJob("dayTopVideoUnderstandingHandler")
    public ReturnT<String> dayTopVideoUnderstandingHandler(String params) {
        XxlJobLogger.log("dayTopVideoUnderstandingHandler start");
        try {
            contentService.dayTopVideoUnderstandingHandler();
        } catch (Exception e) {
            XxlJobLogger.log("dayTopVideoUnderstandingHandler error", e);
            return ReturnT.FAIL;
        } finally {
            XxlJobLogger.log("dayTopVideoUnderstandingHandler end");
        }
        return ReturnT.SUCCESS;
    }

    @XxlJob("historyVideoUnderstandingHandler")
    public ReturnT<String> historyVideoUnderstandingHandler(String params) {
        XxlJobLogger.log("historyVideoUnderstandingHandler start");
        try {
            contentService.historyVideoUnderstandingHandler();
        } catch (Exception e) {
            XxlJobLogger.log("historyVideoUnderstandingHandler error", e);
            return ReturnT.FAIL;
        } finally {
            XxlJobLogger.log("historyVideoUnderstandingHandler end");
        }
        return ReturnT.SUCCESS;
    }


    @XxlJob("remainVideoUnderstandingHandler")
    public ReturnT<String> remainVideoUnderstandingHandler(String params) {
        XxlJobLogger.log("remainVideoUnderstandingHandler start");
        try {
            contentService.remainVideoUnderstandingHandler();
        } catch (Exception e) {
            XxlJobLogger.log("remainVideoUnderstandingHandler error", e);
            return ReturnT.FAIL;
        } finally {
            XxlJobLogger.log("remainVideoUnderstandingHandler end");
        }
        return ReturnT.SUCCESS;
    }
}
