package com.tzld.piaoquan.content.understanding.model.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * 基础信息
 *
 * @author supeng
 */
public class BaseInfoDTO {
    /// 用户信息
    @ApiModelProperty(value = "公共参数-token值")
    private String token;
    @ApiModelProperty(value = "公共参数-登录用户ID")
    private Long loginUid;

    /// 应用信息
    @ApiModelProperty(value = "公共参数-应用版本号")
    private Integer appVersionCode;
    @ApiModelProperty(value = "公共参数-产品代号")
    private Integer appType;

    /// 设备信息
    @ApiModelProperty(value = "公共参数-手机设备的唯一码")
    private String machineCode;
    @ApiModelProperty(value = "公共参数-ios,android")
    private String platform;
    @ApiModelProperty(value = "公共参数-系统版本（例：ios10.1）")
    private String systemVersion;
    @ApiModelProperty(value = "公共参数-手机信息")
    private String machineInfo;
    @ApiModelProperty(value = "公共参数-网络类型 WI-FI 5G 4G 3G 2G")
    private String networkType;
    @ApiModelProperty(value = "公共参数-客户端ip")
    private String clientIp;

    // pageSource相关的参数
    @ApiModelProperty(value = "公共参数-页面来源")
    private String pageSource;

    // 某次操作相关的参数
    @ApiModelProperty(value = "公共参数-前端请求时间")
    private Long clientTimestamp;
    @ApiModelProperty(value = "公共参数-sessionId")
    private String sessionId;
    @ApiModelProperty(value = "公共参数-requestId，每次请求客户端生成唯一ID，不超过64位")
    private String requestId;

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public Long getLoginUid() {
        return loginUid;
    }

    public void setLoginUid(Long loginUid) {
        this.loginUid = loginUid;
    }

    public Integer getAppVersionCode() {
        return appVersionCode;
    }

    public void setAppVersionCode(Integer appVersionCode) {
        this.appVersionCode = appVersionCode;
    }

    public Integer getAppType() {
        return appType;
    }

    public void setAppType(Integer appType) {
        this.appType = appType;
    }

    public String getMachineCode() {
        return machineCode;
    }

    public void setMachineCode(String machineCode) {
        this.machineCode = machineCode;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getSystemVersion() {
        return systemVersion;
    }

    public void setSystemVersion(String systemVersion) {
        this.systemVersion = systemVersion;
    }

    public String getMachineInfo() {
        return machineInfo;
    }

    public void setMachineInfo(String machineInfo) {
        this.machineInfo = machineInfo;
    }

    public String getNetworkType() {
        return networkType;
    }

    public void setNetworkType(String networkType) {
        this.networkType = networkType;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    public String getPageSource() {
        return pageSource;
    }

    public void setPageSource(String pageSource) {
        this.pageSource = pageSource;
    }

    public Long getClientTimestamp() {
        return clientTimestamp;
    }

    public void setClientTimestamp(Long clientTimestamp) {
        this.clientTimestamp = clientTimestamp;
    }

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    public String getRequestId() {
        return requestId;
    }

    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    @Override
    public String toString() {
        return String.format(
            "BaseInfoDTO [token=%s, appVersionCode=%s, appType=%s, machineCode=%s, platform=%s, systemVersion=%s, machineInfo=%s, networkType=%s, clientIp=%s, pageSource=%s, clientTimestamp=%s, sessionId=%s, requestId=%s]",
            token, appVersionCode, appType, machineCode, platform, systemVersion, machineInfo, networkType, clientIp,
            pageSource, clientTimestamp, sessionId, requestId);
    }

}
