package com.tzld.piaoquan.content.understanding.rocketmq.producer;

import com.alibaba.fastjson.JSON;
import com.tzld.piaoquan.content.understanding.model.dto.VideoUnderstandingMessageDTO;
import com.tzld.piaoquan.content.understanding.util.RetryUtil;
import org.apache.rocketmq.client.apis.message.MessageId;
import org.apache.rocketmq.client.apis.producer.SendReceipt;
import org.apache.rocketmq.client.core.RocketMQClientTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.time.Duration;
import java.util.Map;
import java.util.Objects;

/**
 * 旧版视频理解 需要延迟处理的视频 生产者
 *
 * @author supeng
 */
@Component
public class OldVersionRemainVideoUnderstandingProducer {
    @Autowired
    private RocketMQClientTemplate rocketMQClientTemplate;

    @Value("${rocketmq.producer.oldversion.topic:topic_old_version_remain_video_understanding}")
    private String oldVersionRemainTopic;

    public MessageId syncSendDelayMessage(VideoUnderstandingMessageDTO messageDTO, Duration duration) {
        return RetryUtil.executeWithRetry(() -> {
            SendReceipt sendReceipt = rocketMQClientTemplate.syncSendDelayMessage(oldVersionRemainTopic, JSON.toJSONString(messageDTO), duration);
            if (Objects.isNull(sendReceipt) || Objects.isNull(sendReceipt.getMessageId())) {
                throw new RuntimeException("OldVersionRemainVideoUnderstandingProducer syncSendDelayMessage failure messageDTO = " + messageDTO);
            }
            return sendReceipt.getMessageId();
        }, "OldVersionRemainVideoUnderstandingProducer");
    }
}
