package com.tzld.piaoquan.content.understanding.service;

import com.tzld.piaoquan.content.understanding.model.param.*;
import com.tzld.piaoquan.content.understanding.model.vo.TaskResultVO;

/**
 * @author supeng
 */
public interface ContentService {

    /**
     * 内容分析处理
     *
     * @param param
     */
    void analyse(ContentAnalyseParam param);

    /**
     * 提交任务
     *
     * @param param
     * @return
     */
    TaskResultVO submitTasks(SubmitTasksParam param);

    /**
     * 查询任务
     *
     * @param param
     * @return
     */
    TaskResultVO queryTasks(QueryTasksParam param);

    /**
     * 新推荐
     */
    void newRecommendVideoUnderstandingHandler();

    /**
     * 当日头部
     */
    void dayTopVideoUnderstandingHandler();

    /**
     * 历史视频
     */
    void historyVideoUnderstandingHandler();

    /**
     * 剩余视频处理
     */
    void remainVideoUnderstandingHandler();

    /**
     * 剩余视频处理
     * @param videoId
     * @return
     */
    boolean remainVideoUnderstandingHandler(Long videoId);


}
