package com.tzld.piaoquan.content.understanding.service;

import com.tzld.piaoquan.content.understanding.model.dto.ContentAnalyseDTO;
import com.tzld.piaoquan.content.understanding.model.dto.ContentDTO;
import com.tzld.piaoquan.content.understanding.model.dto.TreeNode;
import com.tzld.piaoquan.content.understanding.model.param.ContentAnalyseParam;
import com.tzld.piaoquan.content.understanding.model.po.CuPipelineStep;

import java.util.List;
import java.util.Map;

/**
 * @author supeng
 */
public interface PipelineService {

    void execute(ContentAnalyseParam param);

    /**
     * 执行任务
     *
     * @param contentDTO
     * @return taskId
     */
    String executeTask(ContentDTO contentDTO);

    /**
     * 构建执行树
     *
     * @param stepList
     * @return
     */
    TreeNode buildTree(List<CuPipelineStep> stepList);

    /**
     * 遍历执行
     *
     * @param root 根节点
     * @param dto  数据
     */
    void executeTaskTreeNodeBFS(TreeNode root, ContentAnalyseDTO dto);


    /**
     * 更新任务
     *
     * @param taskId
     * @param result
     * @param reason
     * @param videoId
     * @param extMap
     * @param isSuccess
     */
    void updateTaskResult(String taskId, String result, String reason, Long videoId, Map<String, Object> extMap, boolean isSuccess);

    /**
     * 提交任务
     *
     * @param contentDTO
     * @return
     */
    String submitTask(ContentDTO contentDTO);
}
