package com.tzld.piaoquan.content.understanding;

import org.mybatis.spring.annotation.MapperScan;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * 启动类
 *
 * @author supeng
 */
@SpringBootApplication
@ServletComponentScan("com.tzld.piaoquan.content.understanding")
@MapperScan("com.tzld.piaoquan.content.understanding.dao")
@EnableFeignClients
@EnableEurekaClient
@EnableSwagger2
public class Application {
    private static final Logger LOGGER = LoggerFactory.getLogger(Application.class);

    public static void main(String[] args) {
        SpringApplication.run(Application.class, args);
        LOGGER.info("content-understanding SpringBoot Start Success");
    }
}
