package com.tzld.piaoquan.content.understanding.controller;

import com.tzld.piaoquan.content.understanding.common.base.CommonResponse;
import com.tzld.piaoquan.content.understanding.model.param.ContentAnalyseParam;
import com.tzld.piaoquan.content.understanding.service.ContentService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 内容分析
 */
@Slf4j
@RestController
@RequestMapping("/content")
public class ContentController {

    @Autowired
    private ContentService contentService;

    @PostMapping(value = "/analyse")
    public CommonResponse<Void> analyse(@RequestBody ContentAnalyseParam param) {
        contentService.analyse(param);
        return CommonResponse.create();
    }

}
