package com.tzld.piaoquan.content.understanding.controller;

import com.tzld.piaoquan.content.understanding.common.base.CommonResponse;
import com.tzld.piaoquan.content.understanding.model.param.*;
import com.tzld.piaoquan.content.understanding.model.vo.TaskResultVO;
import com.tzld.piaoquan.content.understanding.service.ContentService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 内容分析
 */
@Slf4j
@RestController
@RequestMapping("/content/understand")
public class ContentUnderstandingController {

    @Autowired
    private ContentService contentService;

    @PostMapping(value = "/submitTasks")
    public CommonResponse<TaskResultVO> submitTasks(@RequestBody SubmitTasksParam param) {
        TaskResultVO taskResultVO = contentService.submitTasks(param);
        return CommonResponse.create(taskResultVO);
    }

    @PostMapping(value = "/queryTasks")
    public CommonResponse<TaskResultVO> queryTasks(@RequestBody QueryTasksParam param) {
        TaskResultVO taskResultVO = contentService.queryTasks(param);
        return CommonResponse.create(taskResultVO);
    }

}
