package com.tzld.piaoquan.content.understanding.service;

import com.alibaba.fastjson.JSON;
import com.tzld.piaoquan.content.understanding.BaseTest;
import com.tzld.piaoquan.content.understanding.common.base.CommonResponse;
import com.tzld.piaoquan.content.understanding.common.enums.ResponseFormatTypeEnum;
import com.tzld.piaoquan.content.understanding.model.param.DeepSeekParam;
import com.tzld.piaoquan.content.understanding.service.impl.DeepSeekGenerateContentAction;
import com.tzld.piaoquan.content.understanding.util.HttpClientUtil;
import com.tzld.piaoquan.content.understanding.util.HttpPoolClient;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;

import java.util.Map;
import java.util.Objects;
import java.util.Optional;
@Slf4j
public class DeepSeekServiceTest extends BaseTest {

    private static final HttpPoolClient httpPoolClient = HttpClientUtil.create(3000, 900000, 50, 200, 0, 3000);

    @Test
    public void test(){
        String apiKey = "sk-4d57c097379348fb86c73e9d063e23c7";
        DeepSeekParam deepSeekParam = new DeepSeekParam();
        deepSeekParam.setApiKey(apiKey);
        deepSeekParam.setPrompt("帮我随机生成一些能够吸引中老年人的视频标题，结果以json格式返回");
        deepSeekParam.setModel(DeepSeekGenerateContentAction.MODEL_CHAT);
        deepSeekParam.setModel(DeepSeekGenerateContentAction.MODEL_REASONER);
        deepSeekParam.setTemperature(DeepSeekGenerateContentAction.TEMPERATURE);
        //reasoner模型不支持 json format
//        deepSeekParam.setResponseFormat(ResponseFormatTypeEnum.JSON.getValue());
        log.info("deepSeekGenerateContentAction deepSeekParam = {}", JSON.toJSONString(deepSeekParam));
        Optional<String> optionalS = httpPoolClient.postJson("http://ai-api-internal.piaoquantv.com/aigc-server/deepseek/generateContent", JSON.toJSONString(deepSeekParam));
        log.info("deepSeekGenerateContentAction optionalS = {}", optionalS);
        if (optionalS.isPresent()) {
            CommonResponse<Map<String, Object>> commonResponse = JSON.parseObject(optionalS.get(), CommonResponse.class);
            if (commonResponse.isSuccess() && Objects.nonNull(commonResponse.getData()) && Objects.nonNull(commonResponse.getData().get("result"))) {
                String content = commonResponse.getData().get("result").toString();
                //过滤一些特殊格式
                content = content.replace("```json", "").replace("```", "");
                log.info("deepSeekGenerateContentAction content = {}", content);
            }
        }
    }
}
