package com.tzld.piaoquan.content.understanding.service;

import com.alibaba.fastjson.JSON;
import com.tzld.piaoquan.content.understanding.BaseTest;
import com.tzld.piaoquan.content.understanding.model.dto.PipelineTaskMessageDTO;
import com.tzld.piaoquan.content.understanding.model.dto.VideoUnderstandingMessageDTO;
import com.tzld.piaoquan.content.understanding.rocketmq.producer.ContentUnderstandingPipelineTaskProducer;
import com.tzld.piaoquan.content.understanding.rocketmq.producer.OldVersionRemainVideoUnderstandingProducer;
import org.apache.rocketmq.client.apis.message.MessageId;
import org.apache.rocketmq.client.apis.producer.SendReceipt;
import org.apache.rocketmq.client.core.RocketMQClientTemplate;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.time.Duration;
import java.util.HashMap;
import java.util.Map;
import java.util.Objects;

public class RocketmqTest extends BaseTest {

    @Autowired
    OldVersionRemainVideoUnderstandingProducer oldVersionRemainVideoUnderstandingProducer;

    @Autowired
    ContentUnderstandingPipelineTaskProducer contentUnderstandingPipelineTaskProducer;

    @Test
    public void testSendDelay() {
//        Map<String, Object> messageMap = new HashMap<>();
//        messageMap.put("videoId", 9039231L);
        VideoUnderstandingMessageDTO messageDTO = new VideoUnderstandingMessageDTO();
        messageDTO.setVideoId(9039231L);
        Duration duration = Duration.ofMinutes(1);
        MessageId messageId = oldVersionRemainVideoUnderstandingProducer.syncSendDelayMessage(messageDTO, duration);
        System.out.println(messageId);
    }

    @Test
    public void testSendNormal() {
//        Map<String, Object> messageMap = new HashMap<>();
//        messageMap.put("videoId", 9039231L);
        PipelineTaskMessageDTO messageDTO = new PipelineTaskMessageDTO();
//        messageDTO.setTaskId("950374c302a540bb892bfeb0ef337b1d1745309395621");
        messageDTO.setTaskId("38d4e773dc904213ae9b9b383cd61a001745309395718");
        messageDTO.setVideoId(9039231L);
        MessageId messageId = contentUnderstandingPipelineTaskProducer.syncSendNormalMessage(messageDTO);
        System.out.println(messageId);
    }
}
